package org.springblade.swzdr.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.swzdr.pojo.entity.RyDjclEntity;
import org.springblade.swzdr.pojo.vo.RyDjclVO;

import java.util.Objects;

/**
 * 人员_打击处理 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-09-29
 */
public class RyDjclWrapper extends BaseEntityWrapper<RyDjclEntity, RyDjclVO>  {

	public static RyDjclWrapper build() {
		return new RyDjclWrapper();
 	}

	@Override
	public RyDjclVO entityVO(RyDjclEntity ryDjcl) {
		RyDjclVO ryDjclVO = Objects.requireNonNull(BeanUtil.copyProperties(ryDjcl, RyDjclVO.class));

		//User createUser = UserCache.getUser(ryDjcl.getCreateUser());
		//User updateUser = UserCache.getUser(ryDjcl.getUpdateUser());
		//ryDjclVO.setCreateUserName(createUser.getName());
		//ryDjclVO.setUpdateUserName(updateUser.getName());

		return ryDjclVO;
	}

}
